diff -Nur pgsql.orig/contrib/cube/Makefile pgsql/contrib/cube/Makefile
--- pgsql.orig/contrib/cube/Makefile	Thu Nov  8 14:19:13 2001
+++ pgsql/contrib/cube/Makefile	Thu Nov  8 16:29:34 2001
@@ -11,15 +11,18 @@
 DOCS = README.cube
 REGRESS = cube
 
-
-cubeparse.c cubeparse.h: cubeparse.y
+y.tab.c: cubeparse.y
 ifdef YACC
 	$(YACC) -d $(YFLAGS) -p cube_yy $<
-	mv -f y.tab.c cubeparse.c
-	mv -f y.tab.h cubeparse.h
 else
 	@$(missing) bison $< $@
 endif
+
+cubeparse.c: y.tab.c
+	cp -f y.tab.c cubeparse.c
+
+cubeparse.h: y.tab.c
+	cp -f y.tab.h cubeparse.h
 
 cubescan.c: cubescan.l
 ifdef FLEX
diff -Nur pgsql.orig/contrib/seg/Makefile pgsql/contrib/seg/Makefile
--- pgsql.orig/contrib/seg/Makefile	Thu Nov  8 14:19:13 2001
+++ pgsql/contrib/seg/Makefile	Thu Nov  8 16:29:47 2001
@@ -10,15 +10,17 @@
 DOCS = README.seg
 REGRESS = seg
 
-
-segparse.c segparse.h: segparse.y
+y.tab.c: segparse.y
 ifdef YACC
 	$(YACC) -d $(YFLAGS) -p seg_yy $<
-	mv -f y.tab.c segparse.c
-	mv -f y.tab.h segparse.h
 else
 	@$(missing) bison $< $@
 endif
+
+segparse.c: y.tab.c
+	cp -f y.tab.c segparse.c
+segparse.h: y.tab.c
+	cp -f y.tab.h segparse.h
 
 segscan.c: segscan.l
 ifdef FLEX
diff -Nur pgsql.orig/src/backend/bootstrap/Makefile pgsql/src/backend/bootstrap/Makefile
--- pgsql.orig/src/backend/bootstrap/Makefile	Thu Nov  8 14:19:13 2001
+++ pgsql/src/backend/bootstrap/Makefile	Thu Nov  8 16:37:59 2001
@@ -36,16 +36,14 @@
     -e 's/\([^a-zA-Z0-9_]\)yy/\1Int_yy/g'
 endef
 
-
-$(srcdir)/bootparse.c $(srcdir)/bootstrap_tokens.h: bootparse.y Makefile
-ifdef YACC
+y.tab.c: bootparse.y Makefile
 	$(YACC) -d $(YFLAGS) $<
+
+$(srcdir)/bootparse.c: y.tab.c
 	$(sed-magic) < y.tab.c > $(srcdir)/bootparse.c
+
+$(srcdir)/bootstrap_tokens.h: y.tab.c
 	$(sed-magic) < y.tab.h > $(srcdir)/bootstrap_tokens.h
-	rm -f y.tab.c y.tab.h
-else
-	@$(missing) bison $< $@
-endif
 
 $(srcdir)/bootscanner.c: bootscanner.l Makefile
 ifdef FLEX
diff -Nur pgsql.orig/src/backend/parser/Makefile pgsql/src/backend/parser/Makefile
--- pgsql.orig/src/backend/parser/Makefile	Thu Nov  8 14:19:13 2001
+++ pgsql/src/backend/parser/Makefile	Thu Nov  8 16:30:07 2001
@@ -20,14 +20,19 @@
 SUBSYS.o: $(OBJS)
 	$(LD) $(LDREL) $(LDOUT) $@ $^
 
-$(srcdir)/gram.c $(srcdir)/parse.h: gram.y
+
+y.tab.c: gram.y
 ifdef YACC
 	$(YACC) -d $(YFLAGS) $<
-	mv y.tab.c $(srcdir)/gram.c
-	mv y.tab.h $(srcdir)/parse.h
 else
 	@$(missing) bison $< $@
 endif
+
+$(srcdir)/gram.c: y.tab.c
+	cp -f y.tab.c $(srcdir)/gram.c
+
+$(srcdir)/parse.h: y.tab.c
+	cp -f y.tab.h $(srcdir)/parse.h
 
 $(srcdir)/scan.c: scan.l
 ifdef FLEX
diff -Nur pgsql.orig/src/interfaces/ecpg/preproc/Makefile pgsql/src/interfaces/ecpg/preproc/Makefile
--- pgsql.orig/src/interfaces/ecpg/preproc/Makefile	Thu Nov  8 14:19:13 2001
+++ pgsql/src/interfaces/ecpg/preproc/Makefile	Thu Nov  8 16:30:30 2001
@@ -35,14 +35,18 @@
 ecpg: $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@
 
-$(srcdir)/preproc.c $(srcdir)/preproc.h: preproc.y
+$(srcdir)/y.tab.c: preproc.y
 ifdef YACC
 	$(YACC) -d $(YFLAGS) $<
-	mv y.tab.c $(srcdir)/preproc.c
-	mv y.tab.h $(srcdir)/preproc.h
 else
 	@$(missing) bison $< $@
 endif
+
+$(srcdir)/preproc.c: y.tab.c
+	cp -f y.tab.c $(srcdir)/preproc.c
+
+$(srcdir)/preproc.h: y.tab.c
+	cp -f y.tab.h $(srcdir)/preproc.h
 
 $(srcdir)/pgc.c: pgc.l
 ifdef FLEX
diff -Nur pgsql.orig/src/pl/plpgsql/src/Makefile pgsql/src/pl/plpgsql/src/Makefile
--- pgsql.orig/src/pl/plpgsql/src/Makefile	Thu Nov  8 14:19:13 2001
+++ pgsql/src/pl/plpgsql/src/Makefile	Thu Nov  8 16:30:50 2001
@@ -64,15 +64,18 @@
 # Note: Since the yacc and lex files are shipped in the distribution,
 # they must be generated in the srcdir (as opposed to builddir).
 
-$(srcdir)/pl_gram.c $(srcdir)/pl.tab.h: gram.y
+$(srcdir)/y.tab.c: gram.y
 ifdef YACC
 	$(YACC) -d $(YFLAGS) $<
-	sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' < y.tab.c > $(srcdir)/pl_gram.c
-	sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' < y.tab.h > $(srcdir)/pl.tab.h
-	rm -f y.tab.c y.tab.h
 else
 	@$(missing) bison $< $@
 endif
+
+$(srcdir)/pl_gram.c: y.tab.c
+	sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' < y.tab.c > $(srcdir)/pl_gram.c
+
+$(srcdir)/pl.tab.h: y.tab.c
+	sed -e 's/yy/plpgsql_yy/g' -e 's/YY/PLPGSQL_YY/g' < y.tab.h > $(srcdir)/pl.tab.h
 
 $(srcdir)/pl_scan.c: scan.l
 ifdef FLEX
